package network.protocol.packets;

import game.Player;
import network.protocol.Packet;
import network.protocol.PacketVisitor;
import network.protocol.Packets;

public class PlayerJoinPacket extends Packet{

	static private final long serialVersionUID = Packets.PlayerJoin.ordinal();

	private final Player player;

	public PlayerJoinPacket(Player player) {
		this.player = player;
	}

	public Player getPlayer() {
		return player;
	}

	@Override
	public void accept(PacketVisitor packetVisitor) {
		packetVisitor.visitPacket(this);
	}

	

}
